v_sditxss: XV_SdiTxSs Struct Reference

| v_sditxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_SdiTxSs Struct Reference

The XV_SdiTxSs driver instance data. More...

## Data Fields
XV_SdiTxSs_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_SdiTxSs_Log | Log
| A log of events. More...
XV_SdiTx * | SdiTxPtr
| handle to sub-core driver instance More...
XVtc * | VtcPtr
| handle to sub-core driver instance More...
XV_SdiTxSs_Callback | GtReadyCallback
| Callback for stream down event. More...
void * | GtReadyRef
| To be passed to the stream down callback. More...
XV_SdiTxSs_Callback | OverFlowCallback
| Callback for Over flow event. More...
void * | OverFlowRef
| To be passed to the Over flow callback. More...
XV_SdiTxSs_Callback | UnderFlowCallback
| Callback for Under flow event. More...
void * | UnderFlowRef
| To be passed to the Under flow callback. More...
XV_SdiTxSs_Callback | CeAlignErrCallback
| Callback for CE align errors event. More...
void * | CeAlignErrRef
| To be passed to the CE align errors callback. More...
XV_SdiTxSs_Callback | Axi4sVidLockCallback
| Callback for Axi4s video lock event. More...
void * | Axi4sVidLockRef
| To be passed to the Axi4s video lock callback. More...
u8 | IsStreamUp
| SDI TX Stream Up. More...

## Detailed Description

The XV_SdiTxSs driver instance data.

An instance must be allocated for each SDI TX core in use.

## Field Documentation

XV_SdiTxSs_Callback XV_SdiTxSs::Axi4sVidLockCallback

Callback for Axi4s video lock event.

Referenced by XV_SdiTxSs_SetCallback().

void* XV_SdiTxSs::Axi4sVidLockRef

To be passed to the Axi4s video lock callback.

Referenced by XV_SdiTxSs_SetCallback().

XV_SdiTxSs_Callback XV_SdiTxSs::CeAlignErrCallback

Callback for CE align errors event.

Referenced by XV_SdiTxSs_SetCallback().

void* XV_SdiTxSs::CeAlignErrRef

To be passed to the CE align errors callback.

Referenced by XV_SdiTxSs_SetCallback().

XV_SdiTxSs_Config XV_SdiTxSs::Config

Hardware Configuration.

Referenced by XV_SdiTxSs_CfgInitialize(), XV_SdiTxSs_ST352CStreamEnable(), XV_SdiTxSs_ST352CSwitch3GA(), XV_SdiTxSs_StreamStart(), XV_SdiTxSs_SubcoreInitSdiTx(), and XV_SdiTxSs_SubcoreInitVtc().

XV_SdiTxSs_Callback XV_SdiTxSs::GtReadyCallback

Callback for stream down event.

Referenced by XV_SdiTxSs_SetCallback().

void* XV_SdiTxSs::GtReadyRef

To be passed to the stream down callback.

Referenced by XV_SdiTxSs_SetCallback().

u32 XV_SdiTxSs::IsReady

Core and the driver instance are initialized.

Referenced by main(), and XV_SdiTxSs_CfgInitialize().

u8 XV_SdiTxSs::IsStreamUp

SDI TX Stream Up.

Referenced by XV_SdiTxSs_IsStreamUp(), and XV_SdiTxSs_Stop().

XV_SdiTxSs_Log XV_SdiTxSs::Log

A log of events.

Referenced by XV_SdiTxSs_LogRead(), XV_SdiTxSs_LogReset(), and XV_SdiTxSs_LogWrite().

XV_SdiTxSs_Callback XV_SdiTxSs::OverFlowCallback

Callback for Over flow event.

Referenced by XV_SdiTxSs_SetCallback().

void* XV_SdiTxSs::OverFlowRef

To be passed to the Over flow callback.

Referenced by XV_SdiTxSs_SetCallback().

XV_SdiTx* XV_SdiTxSs::SdiTxPtr

handle to sub-core driver instance

Referenced by XV_SdiTxSs_CfgInitialize(), XV_SdiTxSs_ClearYCbCr444_RGB_10bit(), XV_SdiTxSs_GetPayload(), XV_SdiTxSs_GetPayloadId(), XV_SdiTxSs_GetTransport(), XV_SdiTxSs_GetVideoStream(), XV_SdiTxSs_IntrDisable(), XV_SdiTxSs_IntrEnable(), XV_SdiTxSs_ReportDebugInfo(), XV_SdiTxSs_ReportDetectedError(), XV_SdiTxSs_ReportInfo(), XV_SdiTxSs_ReportStreamInfo(), XV_SdiTxSS_SdiTxIntrHandler(), XV_SdiTxSs_SelfTest(), XV_SdiTxSs_SetColorFormat(), XV_SdiTxSs_SetCoreSettings(), XV_SdiTxSs_SetStream(), XV_SdiTxSs_SetVideoStream(), XV_SdiTxSs_SetYCbCr444_RGB_10bit(), XV_SdiTxSs_ST352CStreamEnable(), XV_SdiTxSs_ST352CSwitch3GA(), XV_SdiTxSs_Stop(), XV_SdiTxSs_StreamConfig(), XV_SdiTxSs_StreamStart(), and XV_SdiTxSs_SubcoreInitSdiTx().

XV_SdiTxSs_Callback XV_SdiTxSs::UnderFlowCallback

Callback for Under flow event.

Referenced by XV_SdiTxSs_SetCallback().

void* XV_SdiTxSs::UnderFlowRef

To be passed to the Under flow callback.

Referenced by XV_SdiTxSs_SetCallback().

XVtc* XV_SdiTxSs::VtcPtr

handle to sub-core driver instance

Referenced by XV_SdiTxSs_CfgInitialize(), XV_SdiTxSs_ReportDebugInfo(), XV_SdiTxSs_StreamStart(), and XV_SdiTxSs_SubcoreInitVtc().